%global dlrn_nvr 1.0.1-1.20200902203410.b501c08
%global dlrn 1
%define upstream_version 1.0.1
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-pacemaker
Version: 1.0.1
Release: 1.20200902203410.b501c08%{?dist}
Summary:        Puppet module for Pacemaker
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-pacemaker

Source0: 1.0.1-1.20200902203410.b501c08.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=b501c08640f16725207615184e57c6b4f3f33fb7

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-firewall
Requires:       puppet >= 2.7.0

%description
Puppet module for Pacemaker

%prep
%setup -q -n openstack-pacemaker-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/



%files
%{_datadir}/openstack-puppet/modules/pacemaker/


%changelog
* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Convert all class usage to relative names

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Add tripleo-standalone sc4 job
- Revert "Make sure we pass cluster_setup_extras when using pcs 0.10"

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Fix up upgrade coordination around authkey
- Retry calling backup_cib()
- Do not create stonith location constraint when there is a single node
- Make sure we pass cluster_setup_extras when using pcs 0.10

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Fix typo in CRMDIFF_BIN

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Add support for promoted-max meta attribute

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Update Puppet requirement to >= 6.0.0

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Prepare for 1.0.0 release

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Remove support for CentOS6/RHEL6

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Remove "warning: previous definition of" warnings

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Resolve duplicated requirement names in metadata

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Try and reauthenticate if pcsd status $::hostname fails

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Fix CI for new centos8 + puppet6

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Fix os version test

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Update os variables

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- order pcmk_remote after Exec['wait-for-settle']

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Make pacemaker_resource serializable

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Add force parameter for all pcmk_ types

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Fix params in pcmk remote

* Tue Dec 24 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Merge "Allow to disable the scaleup logic via a parameter"
- Allow to disable the scaleup logic via a parameter

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Improve scaleup debug logic

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Merge "Add support to configure pcsd bind address"
- Add support to configure pcsd bind address

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Fix missing deep_compare for fence_redfish

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Merge "Allow updating stonith levels"
- Allow updating stonith levels

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Add a more clear error message when we fail to backup cib

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Pin a bunch of gems so that centos 7 with old ruby still works

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 0.7.2-2.bb223e7git
- Update patches
- Prepare for new release 0.8.0

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 0.7.2-2.854e639git
- Update patches

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches



